%define		kdeappsver	21.12.0
%define		kframever	5.56.0
%define		qtver		5.9.0
%define		kaname		picmi
Summary:	Picmi
Name:		ka5-%{kaname}
Version:	21.12.0
Release:	1
License:	GPL v2+/LGPL v2.1+
Group:		X11/Applications/Games
Source0:	http://download.kde.org/stable/release-service/%{kdeappsver}/src/%{kaname}-%{version}.tar.xz
# Source0-md5:	49c20765b72d947c2486e3fa63541cb2
URL:		http://www.kde.org/
BuildRequires:	Qt5Core-devel >= %{qtver}
BuildRequires:	Qt5Gui-devel >= 5.11.1
BuildRequires:	Qt5Network-devel >= 5.11.1
BuildRequires:	Qt5Qml-devel >= 5.11.1
BuildRequires:	Qt5Quick-devel
BuildRequires:	Qt5Svg-devel
BuildRequires:	Qt5Test-devel
BuildRequires:	Qt5Widgets-devel
BuildRequires:	cmake >= 2.8.12
BuildRequires:	gettext-devel
BuildRequires:	ka5-libkdegames-devel >= %{kdeappsver}
BuildRequires:	kf5-extra-cmake-modules >= %{kframever}
BuildRequires:	kf5-kcoreaddons-devel >= %{kframever}
BuildRequires:	kf5-kcrash-devel >= %{kframever}
BuildRequires:	kf5-kdbusaddons-devel >= %{kframever}
BuildRequires:	kf5-kdeclarative-devel >= %{kframever}
BuildRequires:	kf5-kdoctools-devel >= %{kframever}
BuildRequires:	kf5-ki18n-devel >= %{kframever}
BuildRequires:	kf5-kio-devel >= %{kframever}
BuildRequires:	kf5-knewstuff-devel >= %{kframever}
BuildRequires:	kf5-kxmlgui-devel >= %{kframever}
BuildRequires:	ninja
BuildRequires:	qt5-build >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A nonogram logic game for KDE.

%description -l pl.UTF-8
Gra logiczna dla KDE.

%prep
%setup -q -n %{kaname}-%{version}

%build
install -d build
cd build
%cmake \
	-G Ninja \
	-DHTML_INSTALL_DIR=%{_kdedocdir} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	..
%ninja_build

%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%find_lang %{kaname} --all-name --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{kaname}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/picmi
%{_desktopdir}/org.kde.picmi.desktop
%{_iconsdir}/hicolor/128x128/apps/picmi.png
%{_iconsdir}/hicolor/16x16/apps/picmi.png
%{_iconsdir}/hicolor/22x22/apps/picmi.png
%{_iconsdir}/hicolor/256x256/apps/picmi.png
%{_iconsdir}/hicolor/32x32/apps/picmi.png
%{_iconsdir}/hicolor/48x48/apps/picmi.png
%{_iconsdir}/hicolor/64x64/apps/picmi.png
%{_datadir}/kxmlgui5/picmi
%{_datadir}/metainfo/org.kde.picmi.appdata.xml
%{_datadir}/picmi
%{_datadir}/qlogging-categories5/picmi.categories
%changelog
* Thu Dec 16 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ka5-picmi.git;a=log;h=master

* Fri Dec 10 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 12988e4
- updated to 21.12.0

* Fri Nov 05 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 2f6c9eb
- updated to 21.08.3

* Fri Oct 08 2021 Witold Filipczyk <witekfl@poczta.onet.pl> c499886
- updated to 21.08.2

* Sun Sep 05 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 1ba7980
- updated to 21.08.1

* Thu Aug 19 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 5b2f2bf
- updated to 21.08.0

* Thu Aug 12 2021 Witold Filipczyk <witekfl@poczta.onet.pl> dea01df
- pl description

* Fri Jul 09 2021 Witold Filipczyk <witekfl@poczta.onet.pl> e602bd7
- updated to 21.04.3

* Fri Jun 11 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 02100c7
- updated to 21.04.2

* Sat May 15 2021 Witold Filipczyk <witekfl@poczta.onet.pl> d89054e
- updated to 21.04.1

* Sat Apr 24 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 05a7e04
- updated to 21.04.0

* Tue Mar 16 2021 Witold Filipczyk <witekfl@poczta.onet.pl> f21413c
- updated to 20.12.3

* Mon May 13 2019 Witold Filipczyk <witekfl@poczta.onet.pl> 5d05107
- updated to 19.04.1
- packaged docs
- macro kframever

* Sun Jan 13 2019 Witold Filipczyk <witekfl@poczta.onet.pl> e6700fa
- updated to 18.12.1; ninja

* Thu Dec 27 2018 Witold Filipczyk <witekfl@poczta.onet.pl> c6ca08a
- updated to 18.12.0

* Fri Apr 27 2018 Witold Filipczyk <witekfl@poczta.onet.pl> a5bbf7a
- picmi

